Page Contents

Change Log

All notable changes to this project will be documented in this file. See Conventional Commits for commit guidelines.

0.3.1 (2020-09-17)

Note: Version bump only for package @loopback/security

0.3.0 (2020-09-15)

Features

  • move framework packages to devDependencies (e2c61ce)

BREAKING CHANGES

  • components no longer install core framework packages as their own dependencies, they use the framework packages provided by the target application instead.

If you are getting npm install errors after upgrade, then make sure your project lists all dependencies required by the extensions you are using.

Signed-off-by: Miroslav Bajtoš mbajtoss@gmail.com

0.2.18 (2020-08-27)

Note: Version bump only for package @loopback/security

0.2.17 (2020-08-19)

Note: Version bump only for package @loopback/security

0.2.16 (2020-08-05)

Note: Version bump only for package @loopback/security

0.2.15 (2020-07-20)

Note: Version bump only for package @loopback/security

0.2.14 (2020-06-30)

Note: Version bump only for package @loopback/security

0.2.13 (2020-06-23)

Bug Fixes

  • set node version to >=10.16 to support events.once (e39da1c)

0.2.12 (2020-06-11)

Note: Version bump only for package @loopback/security

0.2.11 (2020-05-28)

Note: Version bump only for package @loopback/security

0.2.10 (2020-05-20)

Note: Version bump only for package @loopback/security

0.2.9 (2020-05-19)

Note: Version bump only for package @loopback/security

0.2.8 (2020-05-07)

Note: Version bump only for package @loopback/security

0.2.7 (2020-04-29)

Note: Version bump only for package @loopback/security

0.2.6 (2020-04-23)

Note: Version bump only for package @loopback/security

0.2.5 (2020-04-22)

Note: Version bump only for package @loopback/security

0.2.4 (2020-04-11)

Note: Version bump only for package @loopback/security

0.2.3 (2020-04-08)

Note: Version bump only for package @loopback/security

0.2.2 (2020-03-24)

Note: Version bump only for package @loopback/security

0.2.1 (2020-03-17)

Note: Version bump only for package @loopback/security

0.2.0 (2020-03-05)

chore

  • remove support for Node.js v8.x (4281d9d)

Features

BREAKING CHANGES

  • Node.js v8.x is now end of life. Please upgrade to version 10 and above. See https://nodejs.org/en/about/releases.

0.1.13 (2020-02-06)

Note: Version bump only for package @loopback/security

0.1.12 (2020-02-05)

Note: Version bump only for package @loopback/security

0.1.11 (2020-01-27)

Note: Version bump only for package @loopback/security

0.1.10 (2020-01-07)

Note: Version bump only for package @loopback/security

0.1.9 (2019-12-09)

Note: Version bump only for package @loopback/security

0.1.8 (2019-11-25)

Note: Version bump only for package @loopback/security

0.1.7 (2019-11-12)

Note: Version bump only for package @loopback/security

0.1.6 (2019-10-24)

Note: Version bump only for package @loopback/security

0.1.5 (2019-10-07)

Note: Version bump only for package @loopback/security

0.1.4 (2019-09-28)

Note: Version bump only for package @loopback/security

0.1.3 (2019-09-27)

Note: Version bump only for package @loopback/security

0.1.2 (2019-09-17)

Note: Version bump only for package @loopback/security

0.1.1 (2019-09-06)

Note: Version bump only for package @loopback/security

0.1.0 (2019-09-03)

Features

  • security: add @loopback/security for common interfaces/types (77d2a0b)
  • security: add diagram (f2ca26e)